/*
 * Instance header file for PIC32CM5164LE00100
 *
 * Copyright (c) 2023 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2022-09-09T06:08:26Z */
#ifndef _PIC32CMLE00_TCC2_INSTANCE_
#define _PIC32CMLE00_TCC2_INSTANCE_


/* ========== Instance Parameter definitions for TCC2 peripheral ========== */
#define TCC2_CC_NUM                              (2)        /* Number of Compare/Capture units */
#define TCC2_DITHERING                           (0)        /* Dithering feature implemented */
#define TCC2_DMAC_ID_MC0                         (34)       /* Indexes of DMA Match/Compare 0 trigger */
#define TCC2_DMAC_ID_MC1                         (35)       /* Indexes of DMA Match/Compare 1 trigger */
#define TCC2_DMAC_ID_OVF                         (33)       /* DMA overflow/underflow/retrigger trigger */
#define TCC2_DTI                                 (0)        /* Dead-Time-Insertion feature implemented */
#define TCC2_GCLK_ID                             (26)       /* Index of Generic Clock */
#define TCC2_INSTANCE_ID                         (76)       /* Instance index for TCC2 */
#define TCC2_MASTER_SLAVE_MODE                   (0)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC2_OTMX                                (0)        /* Output Matrix feature implemented */
#define TCC2_OW_NUM                              (2)        /* Number of Output Waveforms */
#define TCC2_PG                                  (0)        /* Pattern Generation feature implemented */
#define TCC2_SIZE                                (16)       
#define TCC2_SWAP                                (0)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CMLE00_TCC2_INSTANCE_ */
